Bug 16414 - aqorders.budgetgroup_id has never been used and can be removed
Summary: aqorders.budgetgroup_id has never been used and can be removed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-02 14:03 UTC by Jonathan Druart
Modified: 2016-12-05 21:22 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16414: Drop aqorders.budgetgroup_id (1.45 KB, patch)
2016-05-02 14:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED.OFF] Bug 16414: Drop aqorders.budgetgroup_id (1.56 KB, patch)
2016-05-02 23:37 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 16414: Drop aqorders.budgetgroup_id (1.62 KB, patch)
2016-05-05 22:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16414: Follow-up - change to kohastructure.sql (1.14 KB, patch)
2016-05-05 22:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-05-02 14:03:36 UTC

    
Comment 1 Jonathan Druart 2016-05-02 14:56:36 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2016-05-02 23:37:53 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-05-05 22:35:29 UTC
Created attachment 51270 [details] [review]
[PASSED QA] Bug 16414: Drop aqorders.budgetgroup_id

This column has never been used and can be removed.

Test plan:
1/ update the schema
2/ prove t/db_dependent/Acquisition.t
should return green

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Test green pre & post patch
No errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2016-05-05 22:35:58 UTC
Created attachment 51271 [details] [review]
Bug 16414: Follow-up - change to kohastructure.sql

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Brendan Gallagher 2016-05-06 04:07:57 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 6 Julian Maurice 2016-05-16 09:14:35 UTC
Not needed in stable versions, status changed to RESOLVED